Bug 92229 - (SOUND VIA82CXXX_AUDIO)soundcard detected but doesn't work
(SOUND VIA82CXXX_AUDIO)soundcard detected but doesn't work
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-06-03 19:56 EDT by rosie
Modified: 2007-04-18 12:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description rosie 2003-06-03 19:56:12 EDT
Description of problem:

When I boot the machine, I can play the test sound for my sound card (VIA
Technologies, VT8233 AC97 Audio Controller, via82cxxx_audio).  If I try to play
any sounds using any other programs other than
"Soundcard Detection", it will play the sound for half a second and then won't
play any more sounds.  Then if I try to play the test sound again it won't play.

Version-Release number of selected component (if applicable):

How reproducible:

100% reproducible on my machine.

Steps to Reproduce:
1.  Boot machine.
2.  Run "Soundcard Configuration" and play test sound.
3.  Play any sound using any other program.  You should hear one instant of
sound then nothing.
4.  Run "Soundcard Configuration" again and try to play test sound.
Actual results:

Expected results:

Additional info:

For some reason, if I am running Ximian Evolution while trying to play sounds,
  Evolution will freeze.  Also, this is a fresh install of RH9.
Comment 1 Havoc Pennington 2003-06-03 20:55:31 EDT
If you play a sound with no esound involved (e.g. just "play something.au", 
there are probably .au or .wav files on your system if you run "locate *.au")
does that work? If that doesn't work either we should move this report to the 
kernel component instead.
Comment 2 rosie 2003-06-03 21:13:06 EDT
I successfully played two .au files using noatun.  Then I tried to play some
more and they wouldn't play.  I tried doing soundcard test again and it wouldn't
work.  So I guess it is a kernel problem? My kernel is 2.4.20-18.9.
Comment 3 Havoc Pennington 2003-06-03 22:47:59 EDT
Yeah, it sounds to me like it must be the driver for that particular card.
Comment 4 Alan Cox 2003-06-05 15:57:01 EDT
Known problem - the esd sound daemon doesnt work with the via823xx audio. I'm
investigating that still but don't have a solution yet
Comment 5 Isaac Salsberg 2003-11-06 15:48:22 EST
I have the same problem.
The Soundcard Detection works fine, and I can hear the sounds.
However, afterwards I cannot hear wav, mp3 or CD's. 

I tried using Gnome, Kde and the default RH graphic environment 
getting the same problem.

The sound card was detected as  "Intel 82801BA/BAM" and is using the 
module: i810_audio.

The kernel version is: 2.4.20-20.9.

I am sure it's NOT a hardware problem, because it works just fine 
under windows. By the way, windows detects the card as:
"SoundMax Integrated Digital Audio.
Manufactured by Analog Devices Inc."

I also made the "*.au" test and it did played well two files.

So, it does not seem to be a specific module problem.
Comment 6 Bugzilla owner 2004-09-30 11:41:02 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.